Skip to main content
GET
/
organization
/
{organizationId}
/
blueprint
/
catalog
/
{provider}
/
{serviceFamily}
/
{serviceVersion}
/
readme
Get the README of a blueprint catalog service
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/blueprint/catalog/{provider}/{serviceFamily}/{serviceVersion}/readme \
  --header 'Authorization: Bearer <token>'
"<string>"

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

provider
string
required

Cloud provider (e.g. aws, gcp, azure)

serviceFamily
string
required

Service family (e.g. mysql, postgresql)

serviceVersion
string
required

Service version (e.g. 8, 14)

Response

README content in Markdown format

The response is of type string.